LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   Linux - Newbie (http://www.linuxquestions.org/questions/linux-newbie-8/)
-   -   Problems with up2date on the console (http://www.linuxquestions.org/questions/linux-newbie-8/problems-with-up2date-on-the-console-449979/)

Palula 05-30-2006 01:42 PM

Problems with up2date on the console
 
Im getting this message when trying to update all the patches within Linux Fedora Core 3 with "up2date".
Does anybody know where I can work this out? Its the first time Im doing it.
Thanks a lot!

Testing package set / solving RPM inter-dependencies...
There was a package dependency problem. The message was:

To solve all dependencies for the RPMs you have selected, The following
packages you have marked to exclude would have to be added to the set:

Package Name Reason For Skipping
======================================================================
kernel-2.6.12-1.1381_FC3 Pkg name/pattern
kernel-devel-2.6.12-1.1372_FC3 Pkg name/pattern
kernel-doc-2.6.12-1.1381_FC3 Pkg name/pattern
kernel-smp-2.6.12-1.1381_FC3 Pkg name/pattern
kernel-utils-2.4-13.1.49_FC3 Pkg name/pattern

Unresolvable chain of dependencies:
hal-0.4.7-1.FC3

macemoneta 05-30-2006 02:09 PM

Fedora core 3 has been moved to legacy with the introduction of FC5, so update your yum configuration, then run:

yum -y update yum
yum -y update

Palula 06-06-2006 09:23 PM

Yum is another updater isn't it?
I'm using up2date. I don't know if there is anything related. But I'm not using Yum. Can it be done with yum?

Just asking because I really don't know. And don't know if both (yum, up2date) are related in any way...

macemoneta 06-06-2006 09:51 PM

Both yum and up2date perform similar functions, but up2date seems to be in the process of being phased out in favor of yum (and in FC5, it graphical interface "pirut").


All times are GMT -5. The time now is 04:42 PM.